All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PFactory< AbstractClass, KeyType >::Worker< ConcreteClass > Class Template Reference

`#include <pfactory.h>`

Inheritance diagram for PFactory< AbstractClass, KeyType >::Worker< ConcreteClass >:

## Public Member Functions

| Worker (const Key_T &key, bool singleton=false)

## Protected Member Functions

virtual Abstract_T * | Create (const Key_T &) const

## Constructor & Destructor Documentation

template<class AbstractClass , typename KeyType = PDefaultPFactoryKey>
template<class ConcreteClass >

PFactory< AbstractClass, KeyType >::Worker< ConcreteClass >::Worker | ( | const Key_T & | key,
|  | bool | singleton = `false`
| ) |  |

inline

References PMEMORY_IGNORE_ALLOCATIONS_FOR_SCOPE, and PFactory< AbstractClass, KeyType >::Register().

## Member Function Documentation

template<class AbstractClass , typename KeyType = PDefaultPFactoryKey>
template<class ConcreteClass >

virtual Abstract_T* PFactory< AbstractClass, KeyType >::Worker< ConcreteClass >::Create | ( | const Key_T & |  | ) | const

inline protected virtual

Reimplemented from PFactory< AbstractClass, KeyType >::WorkerBase.

The documentation for this class was generated from the following file:

- pfactory.h